
Figure - 开发 Dev #112192
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 112089 (New): 【MK】【012】【TSNV】主任务

【MK】【012】【TSNV】工厂测试 flags & SN 支持
2022-09-28 14:32 - CD BSP-丁武伟

Status: 完成 Closed Start date: 2022-12-17

Priority: Normal Due date:

Assignee: CD BSP-丁武伟 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

添加工厂测试flags支持

Subtasks:

开发 Dev # 114670: 【MK】【012】【TSNV】SN 42位支持 完成 Closed

History

#1 - 2022-10-08 11:07 - CD BSP-丁武伟

- Subject changed from 【MK】【012】【TSNV】工厂测试flags支持 to 【MK】【012】【TSNV】工厂测试 flags & SN 支持

- Status changed from 进行中 In Progress to 解决 Resolved

- % Done changed from 50 to 100

#2 - 2022-10-25 10:35 - CD BSP-丁武伟

Update: 2022/10/25

更新nvftm：写入新值时，完全覆盖之前的数据。

验证情况如下：

255|figure:/ # /data/nvftm sn read IOB

TC0003456789

figure:/ # /data/nvftm sn write IOB TC123                                                                                                                                                                         

figure:/ # /data/nvftm sn read IOB                                                                                                                                                                                

TC123

figure:/ # /data/nvftm sn write IOB TC123456789                                                                                                                                                                   

figure:/ # /data/nvftm sn read IOB                                                                                                                                                                                

TC123456789

figure:/ # /data/nvftm sn write IOB TC12                                                                                                                                                                          

figure:/ # /data/nvftm sn read IOB                                                                                                                                                                                

TC12

BRs/丁武伟

#3 - 2022-10-31 20:17 - CD BSP-唐金泽

- Due date set to 2022-10-14

- Status changed from 解决 Resolved to 完成 Closed
工厂端验证PASS

#4 - 2022-12-09 14:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167963 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm-dvt1

tangjz1204@thundersoft.com

BSP:TSNV: Change tsnv.ko for FTM-DVT1 branchexchange tsnv.ko for FTM-DVT1 branchTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

Ie8af72157f14b96642f674ba2f8e94c95abee90a

#5 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151912 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:TSNV: add nvftmadd nvftm for factoryTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id: I4d374cd813d3819e0ddb93913373c9a1ac6f20ff

#6 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152022 general/vendor/thundercomm/produc

ts/common

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:TSNV: add nvftmadd nvftm for factory flagsTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id: Ida8df99b4b51888d0f3b7e2d43e99344e638b06f

#7 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153751 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:TSNV: add sn support for PCBA ASSY IOBupdate nvftm and kernel driverTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

I0e920be0c4ae825c18680ad77e5065a19ab813b0
#8 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155319 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm

dulei0503@thundersoft.com

BSP:TSNV: add sn support for PCBA ASSY IOBupdate nvftm and kernel driverTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

I0e920be0c4ae825c18680ad77e5065a19ab813b0(cherry picked from commit 15ea7d670a57e6bb2e90c1ce7dd0f49bf452e1be)

#9 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157684 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:TSNV: nvftm updateupdate the whole data when wrting a new valTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

I0cb626580fe99751197239ff42ce9f0e32435711

#10 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164938 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangwei0629@thundersoft.com

BSP:TSNV: update comment for id#25set id 25 as DUT ActivitationTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

I20da443a4aeee91a0eeb6d6a294e4e6ef8cfb14a

#11 - 2023-03-30 19:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191084 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0081

dulei0503@thundersoft.com

BSP:TSNV: Change tsnv.ko for FTM-DVT1 branchexchange tsnv.ko for FTM-DVT1 branchTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

Ie8af72157f14b96642f674ba2f8e94c95abee90a(cherry picked from commit 235b65c0ab94661f104f0c5c4b905c594c3d42c0)
#12 - 2023-04-17 10:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193705 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0090

dulei0503@thundersoft.com

BSP:TSNV: Change tsnv.ko for FTM-DVT2 branchexchange tsnv.ko for FTM-DVT1 branchTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

Ie8af72157f14b96642f674ba2f8e94c95abee90a(cherry picked from commit 235b65c0ab94661f104f0c5c4b905c594c3d42c0)(cherry picked from commit

f673ab068491306a3ec7060547b4cdca8f06b4e0)

#13 - 2023-04-17 10:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194120 general/common Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0090

dulei0503@thundersoft.com

BSP:SYSTEM: Restore metadata/userdata/persist partion to FTMRevert BSP:SYSTEM: Keep metadata/userdata/persist the sameThis reverts commit

e089815d0afe57f915d33e31bfcec9f56efea82f.TC-RID: 0301-0100805IssueID: TS-R-DF-112192Change-Id: I8661a06e96e7b50098ac445c27d6ae9a79d74e53

#14 - 2023-05-04 11:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197296 general/vendor/thundercomm/tsnv Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0095

dulei0503@thundersoft.com

BSP:TSNV: Change tsnv.ko for FTM-DVT2 branchexchange tsnv.ko for FTM-DVT1 branchTC-RID:  1200-0102003IssueID: TS-R-DF-112192Change-Id:

Ie8af72157f14b96642f674ba2f8e94c95abee90a(cherry picked from commit 235b65c0ab94661f104f0c5c4b905c594c3d42c0)(cherry picked from commit

f673ab068491306a3ec7060547b4cdca8f06b4e0)(cherry picked from commit 1522cd93818a9d0b8bea5d71be14217eb39b1f4e)

#15 - 2023-05-04 11:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197299 general/common Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0095

dulei0503@thundersoft.com
BSP:SYSTEM: Restore metadata/userdata/persist partion to FTMRevert BSP:SYSTEM: Keep metadata/userdata/persist the sameThis reverts commit

e089815d0afe57f915d33e31bfcec9f56efea82f.TC-RID: 0301-0100805IssueID: TS-R-DF-112192Change-Id: I8661a06e96e7b50098ac445c27d6ae9a79d74e53(cherry

picked from commit 26e504582d54470456f456f5970257d802378635)
